# coding: utf-8

"""
    Identity Service API

    A list of identity, account and service management APIs.  # noqa: E501

    OpenAPI spec version: 1.6.5
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class RemoveGroupsFromOrgRequest(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'ids': 'list[str]',
        'notify_users_in_groups': 'bool'
    }

    attribute_map = {
        'ids': 'ids',
        'notify_users_in_groups': 'notifyUsersInGroups'
    }

    def __init__(self, ids=None, notify_users_in_groups=None):  # noqa: E501
        """RemoveGroupsFromOrgRequest - a model defined in Swagger"""  # noqa: E501
        self._ids = None
        self._notify_users_in_groups = None
        self.discriminator = None
        if ids is not None:
            self.ids = ids
        if notify_users_in_groups is not None:
            self.notify_users_in_groups = notify_users_in_groups

    @property
    def ids(self):
        """Gets the ids of this RemoveGroupsFromOrgRequest.  # noqa: E501


        :return: The ids of this RemoveGroupsFromOrgRequest.  # noqa: E501
        :rtype: list[str]
        """
        return self._ids

    @ids.setter
    def ids(self, ids):
        """Sets the ids of this RemoveGroupsFromOrgRequest.


        :param ids: The ids of this RemoveGroupsFromOrgRequest.  # noqa: E501
        :type: list[str]
        """

        self._ids = ids

    @property
    def notify_users_in_groups(self):
        """Gets the notify_users_in_groups of this RemoveGroupsFromOrgRequest.  # noqa: E501


        :return: The notify_users_in_groups of this RemoveGroupsFromOrgRequest.  # noqa: E501
        :rtype: bool
        """
        return self._notify_users_in_groups

    @notify_users_in_groups.setter
    def notify_users_in_groups(self, notify_users_in_groups):
        """Sets the notify_users_in_groups of this RemoveGroupsFromOrgRequest.


        :param notify_users_in_groups: The notify_users_in_groups of this RemoveGroupsFromOrgRequest.  # noqa: E501
        :type: bool
        """

        self._notify_users_in_groups = notify_users_in_groups

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(RemoveGroupsFromOrgRequest, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, RemoveGroupsFromOrgRequest):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
